# H248_ServiceChangeParm Class Reference

`#include <h248.h>`

Inheritance diagram for H248_ServiceChangeParm:

List of all members.

## Public Types

enum | OptionalFields { e_serviceChangeAddress, e_serviceChangeVersion, e_serviceChangeProfile, e_serviceChangeDelay, e_serviceChangeMgcId, e_timeStamp, e_nonStandardData, e_serviceChangeInfo }

## Public Member Functions

| H248_ServiceChangeParm (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H248_ServiceChangeMethod | m_serviceChangeMethod
H248_ServiceChangeAddress | m_serviceChangeAddress
PASN_Integer | m_serviceChangeVersion
H248_ServiceChangeProfile | m_serviceChangeProfile
H248_Value | m_serviceChangeReason
PASN_Integer | m_serviceChangeDelay
H248_MId | m_serviceChangeMgcId
H248_TimeNotation | m_timeStamp
H248_NonStandardData | m_nonStandardData
H248_AuditDescriptor | m_serviceChangeInfo

## Member Enumeration Documentation

enum H248_ServiceChangeParm::OptionalFields

Enumerator:

  e_serviceChangeAddress |
  e_serviceChangeVersion |
  e_serviceChangeProfile |
  e_serviceChangeDelay |
  e_serviceChangeMgcId |
  e_timeStamp |
  e_nonStandardData |
  e_serviceChangeInfo |

## Constructor & Destructor Documentation

H248_ServiceChangeParm::H248_ServiceChangeParm | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_ServiceChangeParm::GetDataLength | ( |  | ) | const

PBoolean H248_ServiceChangeParm::Decode | ( | PASN_Stream & | strm | ) |

void H248_ServiceChangeParm::Encode | ( | PASN_Stream & | strm | ) | const

void H248_ServiceChangeParm::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_ServiceChangeParm::Compare | ( | const PObject & | obj | ) | const

PObject* H248_ServiceChangeParm::Clone | ( |  | ) | const

## Member Data Documentation

H248_ServiceChangeMethod H248_ServiceChangeParm::m_serviceChangeMethod

H248_ServiceChangeAddress H248_ServiceChangeParm::m_serviceChangeAddress

PASN_Integer H248_ServiceChangeParm::m_serviceChangeVersion

H248_ServiceChangeProfile H248_ServiceChangeParm::m_serviceChangeProfile

H248_Value H248_ServiceChangeParm::m_serviceChangeReason

PASN_Integer H248_ServiceChangeParm::m_serviceChangeDelay

H248_MId H248_ServiceChangeParm::m_serviceChangeMgcId

H248_TimeNotation H248_ServiceChangeParm::m_timeStamp

H248_NonStandardData H248_ServiceChangeParm::m_nonStandardData

H248_AuditDescriptor H248_ServiceChangeParm::m_serviceChangeInfo

The documentation for this class was generated from the following file:

- h248.h